:root {

    --clr-primary-800: hsl(140, 32%, 27%);
    --clr-subtext-600: hsl(141, 64%, 35%);
    --clr-action-500: hsl(138, 26%, 53%);
    --clr-decor-300: hsl(102, 41%, 87%);
    --clr-accent-400: hsl(45, 78%, 47%);
    --clr-body-900: hsl(35, 23%, 30%);
    --clr-divider-200: hsl(50, 20%, 83%);
    --clr-bg-100: hsl(0, 0%, 100%);

    --ff-primary: 'League Spartan', sans-serif;

    --ff-body: var(--ff-primary);
    --ff-heading: var(--ff-primary);

    --fw-bold: 700;
    --fw-normal: 500;
    --fw-light: 400;

    --fs-strong: 4rem;
    --fs-h1: 3rem;
    --fs-herosub: 1.35rem;
    --fs-h2: 2.25rem;
    --fs-h3: 1.5rem;
    --fs-body: 1rem;
    --fs-action: .875rem;
    --fs-accent: 2rem;
}
  
@media (max-width: 50em) {
    :root {
        --fs-strong: 3rem;
        --fs-h1: 2rem;
        --fs-herosub: 1.35rem;
        --fs-h2: 2rem;
        --fs-h3: 1.2rem;
        --fs-body: 1rem;
        --fs-action: .875rem;
        --fs-accent: 1.5rem;
    }
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin, padding, and fonts */
* {
  margin: 0;
  padding: 0;
  font: inherit;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core body defaults */
html,
body {
    height: 100%;
}

body {
    text-rendering: optimizeLegibility;
    line-height: 1.5;
    font-family: var(--ff-primary);
  }

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make img easier to work with */
img,
picture,
svg {
  max-width: 100%;
  display: block;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
   scroll-behavior: auto;
  }
  
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
.bg-green{
    background-color:#68A77B;
}
.color-green{
    color:#68A77B;
}
.color-dark-green{
    color:var(--clr-primary-800)!important;
}
.color-yellow{
    color:var(--clr-accent-400)!important;
}   
.color-beige{
    color:var(--clr-divider-200)!important;
}
.color-light-green{
    color:var(--clr-decor-300)!important;
}
.color-brown{
    color:var(--clr-body-900)!important;
}
.flex {
    display: flex;
}

li {
    list-style-type: none;
}


/* font styling */

h1,
h2 {
    line-height: 1.2;
    letter-spacing: .25em;
    padding-bottom: .8em;
    margin-bottom:0;
}

h1,
h2,
strong {
    font-weight: var(--fw-bold);
}

h1 {
    color: var(--clr-primary-800);
    font-size: var(--fs-h1);
}

h2 {
    color: var(--clr-accent-400);
    font-size: var(--fs-h2);
}

p {
    font-weight: var(--fw-light);
    margin-bottom: 2em;
}

h3,
strong {
    letter-spacing: .1em;
}

h3 {
    color: var(--clr-primary-800);
    line-height: 1.35;
    font-size: var(--fs-h3);
    font-weight: var(--fw-normal);
}

strong {
    color: var(--clr-bg-100);
    font-size: var(--fs-strong);
    line-height: 1.2;
    overflow: hidden;
}

.body-text,
.sub-text-white,
.sub-text-green,
.accent-text {
    font-weight: var(--fw-light);
    line-height: 1.5;
}

.body-text {
    color: var(--clr-body-900);
    font-size: var(--fs-body);
}

.sub-text-white,
.sub-text-green {
    font-size: var(--fs-herosub);  
}

.sub-text-white {
    color: var(--clr-decor-300);
    font-weight: 300;
    line-height: 1.3;
}

.sub-text-green {
    color: var(--clr-subtext-600);
    letter-spacing: .1em;
}

.accent-text {
    color: var(--clr-primary-800);
    font-size: var(--fs-accent);
    letter-spacing: .1em;
}
.navbar{
    transition: background-color .15s ease-in-out, padding .15s ease-in-out;
}
.nav-link {
    color: var(--clr-bg-100)!important;
    font-size: 1.2em;
    letter-spacing: .05em;
    font-weight: var(--fw-bold);
    font-family: var(--ff-primary), sans-serif;
    text-decoration: none;
    transition: opacity 0.1s ease-out;
    text-transform: uppercase;
}

.nav-link:hover,
.nav-link:focus {
    opacity: .6;
}

.active {
    font-weight: 800;
}


/* Background styles */

.dgreen-bg {
    background-color: var(--clr-primary-800);
    position: relative;
    padding: 8em 1em 3em;
}

.lgreen-bg {
    background-color: var(--clr-decor-300);
    padding-block: 4em;
    margin-top: 3em;
}

.lgreen-bg h2 {
    text-align: center;
    color: var(--clr-primary-800);
    max-width: 700px;
    margin-inline: auto;
    margin-bottom: 1em;
}

/* Section styles */

section {
    padding: 2em 0;
}

.centered {
    display: grid;
    text-align: center;
    gap: .5em;
    justify-content: center;
    padding-block: 6em;
    padding-inline: 1em;
    width: 100%;
}

.centered img {
    justify-self: center;
    margin-bottom: 1.5em;
}

.centered .accent-text {
    margin: 0;
}

.centered .sub-text-green {
    max-width: 920px;
}

.container {
    --max-width: 1440px;
    max-width:var(--max-width);
    width: min(var(--max-width), 100%)!important;
    margin-inline: auto;
}

.even-columns,
.even-columns-reverse {
    display: grid;
    align-items: center;
    grid-auto-flow: column;
    grid-auto-columns: 1fr;
    gap:0;
}

.even-columns-reverse .side-content,
.even-columns .side-content {
    padding: 0 2.5em;
}


@media (max-width: 50em) {
    .container {
        padding: 0 1em;
        width: min(var(--max-width), 100%);
    }

    .even-columns {
        grid-auto-flow: row;
    }

    .even-columns-reverse {
        grid-auto-flow: dense;
        grid-auto-columns: 1fr;
    }

    .even-columns-reverse picture,
    .even-columns-reverse .before-decor {
        order: -1;
    }

    .even-columns-reverse .side-content,
    .even-columns .side-content,
    .even-columns.img, .even-columns-reverse.img {
        padding: 0;
    }

    .nav-link {
        font-size: .9rem;
        font-weight: var(--fw-light);
    }
}

.gap-large {
    padding-block: 2em;
    padding-inline: 1em;
}

.bottom-border {
    border-bottom: 1px solid var(--clr-divider-200);
    margin-top: 2em;
}


/* Button Styles */

.btn {
    border: 2px solid var(--clr-action-500);
    padding: .8em 1.8em;
    font-size: var(--fs-action);
    font-weight: var(--fw-normal);
    background-color: var(--clr-action-500);
    color: var(--clr-bg-100);
    letter-spacing: .1em;
    border-radius: .1rem;
    transition: all 0.1s ease-out;
    text-decoration: none;
}
.btn-wide{
    padding: .8em 3.8em;
}
.btn:hover, .btn:focus {
    background-color: var(--clr-bg-100);
    color: var(--clr-action-500);
}

.text-btn {
    transition: opacity 0.2s ease-out;
    color: var(--clr-divider-200);
    text-decoration: none;
}

.text-btn:hover, .text-btn:focus {
    opacity: .6;
}


/* Hero Styling */

header {
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.header-home {
    height: 90vh;
    background-image: url(/img/larks-entertainment-hero.webp);
    background-position: center;
}

.header-franchise {
    background-image: url(/img/larks-franchise-bg.webp);
    height: 50vh;
    background-position: top;
}

.header-large{
    min-height:90vh;
}
.header-large .header-content{
    padding-top:101px;
}
header .logo img {
    width: 160px;
}

.hero-img {
    display: flex;
    text-align: center;
    justify-content: center;
    height: 100%;
    align-items: center;
    padding-inline: 1em;
}

.hero-img img {
    position: absolute;
    width: 1014px;
    text-align: center;
    margin: 0 auto;
    padding: 2em;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

nav,
.main-nav,
.socials {
    display: flex;
    align-items: center;
}

nav {
    margin-inline: auto;
}

.socials {
    justify-self: right;
}

.socials ul {
    display: flex;
}

.socials li {
    margin-right: 1.2em;
}

.socials a img {
    height: 30px;
}

.navbar {
    display: grid;
    grid-template-columns: 33.3% 33.3% 33.3%;
    padding: 1em 2em;
}

.main-nav a {
    padding: .9em;
}

@media (max-width: 50em) {

    .header-home {
        height: 60vh;
    }
    
    .header-franchise {
        height: 70vh;
    }

    .navbar {
        grid-template-columns: 35% 65%;
        padding: 1em;
        gap: 1em;
    }

    .hero-img img {
        width: 100%;
        padding: 0 1.5em;
    }

    .main-nav a {
        padding: .6em;
    }

    .socials {
        display: none;
    }

    .dgreen-bg {
        padding: 6em 0 2em;
    }
}

.main-nav .border:after {
    content: '';
    border-right: 1px solid var(--clr-decor-300);
    height: 100%;
    width: 2px;
}

.green-nav {
    background-color: var(--clr-action-500);
}


/* Decorative elements */

.before-decor {
    display: grid;
    grid-auto-flow: column;
    align-items: center;
    margin: 0 auto;
    grid-auto-columns: 1fr 3fr;
}

.before-decor h2 {
    font-size: 2.5rem;
    margin-left: 1em;
    margin-top: 1em;
}

.pseudo-diamond {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
}

.pseudo-diamond img {
    height: 130px;
}

/* Location and In the News Section */

.centered-container {
    display: grid;
    justify-content: center;
}

.large-list {
    display: grid;
    gap: 1.5em;
}

.large-list li {
    font-size: var(--fs-h3);
    color: var(--clr-primary-800);
    letter-spacing: .1em;
    max-width: 550px;
}

.coming-soon li:after {
    content: 'COMING SOON';
    color: var(--clr-bg-100);
    background-color: var(--clr-action-500);
    padding: .3em .4em .2em;
    font-size: .8rem;
    border-radius: .1em;
    margin-left: 1em;
    letter-spacing: .1;
}

.large-list h3 {
    padding-bottom: 1em;
}

@media (max-width: 50em) {
    .before-decor {
        grid-auto-flow: dense;
        margin: 0;
        grid-auto-columns: 1fr;
    }

    .before-decor img {
        height: 80px;
    }
    
    .before-decor h2 {
        font-size: 2rem;
        margin-left: 0;
        margin-top: 1.5em;
    }

    .large-list li {
        font-size: 1.3rem;
    }

    .centered-container {
        justify-content: left;
    }

    .gap-large {
        padding-block: 1em;
        padding-inline: 0;
    }
}


/* Footer design */

footer {
    background-image: url(/img/larks-pattern.webp);
 
}

.footer-content {
    max-width: 1440px;
    margin-inline: auto;
    padding-block: 4.5em;
    padding-inline: 1em;
}

.footer-logo {
    display: grid;
    justify-content: center;
}

.three-col {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 33.3% 33.3% 33.3%;
    margin-top: 2em;
}

.contact p {
    margin-top: 2em;
}

.menu a {
    font-size: var(--fs-body);
    font-weight: 800;
    color: var(--clr-accent-400);
    text-decoration: none;
    letter-spacing: .1em;
    text-align: center;
}

.menu {
    text-align: center;
}

.menu li {
    padding: 1em;
}

.menu a:hover, .menu a:focus {
    color: var(--clr-bg-100);
}

@media (max-width: 50em) {
    .three-col {
        grid-auto-flow: row;
        grid-template-columns: 100%;
    }

    .menu {
        order: -1;
    }

    .contact p {
        text-align: center;
    }

    .lgreen-bg h2 {
        padding-bottom: 1rem;
        margin-bottom: 0;
    }
}


/* Form */

.form-container {
    margin: 0 auto;
    max-width: 396px;
}

.form-btn {
    display: block;
    width: 100%;
    max-width: 396px;
    margin: 0 auto;
    padding: .5em 0 .4em;
    background-color: var(--clr-primary-800);
    border: 2px solid var(--clr-primary-800);
    color: var(--clr-decor-300);
    border-radius: .3rem;
    letter-spacing: .1em;
    font-weight: var(--fw-bold);
    transition: all 0.1s ease-out;
    cursor: pointer;
}

.form-btn:hover, .form-btn:focus {
    background-color: var(--clr-decor-300);
    color: var(--clr-primary-800);
}

textarea,
input {
    width: 100%;
    font-size: 1rem;
    padding: .6rem .8rem .4rem;
    border-radius: .3rem;
    border: 1.2px solid var(--clr-decor-300);
    color: var(--clr-primary-800);
    margin-bottom: 1em;
}

input::placeholder,
textarea::placeholder {
color: var(--clr-action-500);
opacity: .7;
font-weight: 300;
letter-spacing: .05em;
}

textarea:focus, input:focus {
outline: none;
border-color: var(--clr-primary-800);
}

textarea {
height: 200px;
}
.bg-img-overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    mix-blend-mode: multiply;
    opacity: .2;
    background-size: cover;
}
.with-horizontal-divider-green{
    position:relative
}
picture.fill-container{
    position:relative;
    padding-bottom:100%;
}
.larks-grid-img-left{
    grid-template-columns: 40% 60%;
}
.larks-grid-img-right{
    grid-template-columns: 60% 40%;
}
.larks-grid-img-left .side-content,
.larks-grid-img-right .side-content{
    padding-left: calc(10% + 2.5em);
    padding-right: calc(10% + 2.5em);
}
picture.fill-container img{
    position:absolute;
    left:0;
    top:0;
    object-fit:cover;
    object-position:center;
    height:100%;
    width:100%;
}
.with-horizontal-divider-green:after{
   content:'';
   width:130px;
   height:72px;
    background-image:url('/img/horizontal-diamond-green.svg');
    background-size:contain;
    position:absolute;
    top:calc(50% - 36px);
    left:calc(40% - 65px);
}
.larks-grid-img-right.with-horizontal-divider-green:after{
    left:calc(60% - 65px);
}
.header-small .header-content {
    padding-top: 101px;
}
#map{
    height:100%;
}
.marker{
    width:22px;
    height:40px;
    background-image:url('/img/vertical-diamond-dark-green.svg');
    background-size:contain;
    background-position:center;
}

.form-item{
    position: relative;
}
.contact__form input{
    margin-bottom:30px;
  }
  textarea.error,
  input.error{
   border-color: var(--clr-accent-400);
   
  }
  label.error{
    color: var(--clr-accent-400);
    position: absolute;
    bottom: -2px;
    right: 0;
    margin-bottom: 0;
    z-index: 1;
    text-align: center;
    font-size: .75em;
  }
  #sending-overlay{
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
        background:rgba(255,255,255,.5);
      z-index: -1;
      opacity:0;
      transition: all .35s ease-in-out;
  }
  #sending-overlay .ctn-preloader .animation-preloader .spinner{
    border-top-color:var(--clr-accent-400);;
  }
  .sending #sending-overlay{
      z-index:1;
      opacity:1;
  }
  #sending-overlay img{
      width:40px;
      position:absolute;
      left:calc(50% - 20px);
      top:calc(50% - 23px);
      display:none;
  }
  #form-response{
      position:absolute;
      top:50%;
      left:0px;
      width:100%;
      display:none;
      transform:translateY(-50%);
      text-align:center;
      background: #ffffff;
      padding: 2rem;
      border: 1px solid var(--clr-accent-400);
      -webkit-box-shadow: 1px 1px 27px 0px rgba(0,0,0,0.25);
-moz-box-shadow: 1px 1px 27px 0px rgba(0,0,0,0.25);
box-shadow: 1px 1px 27px 0px rgba(0,0,0,0.25);
  }
  #form-response.animated{
      display:block;
  }
@media screen and (max-width: 767px) {
    h2{
        font-size:1.5rem;
    }
    .larks-grid-img-right,
    .larks-grid-img-left{
        grid-template-columns: 100%;
    }
    .centered{
        padding-block: 2em;
    }
    picture.fill-container{
        margin-bottom:6rem;
    }
    .with-horizontal-divider-green:after{
        top: calc(100vw - 36px);
        left: calc(50vw - 65px);
        transform: rotate(90deg);

    }
    .larks-grid-img-left .side-content, .larks-grid-img-right .side-content {
        padding-left: 2.5em;
        padding-right: 2.5em;
    }
    #map{
        height:300px;
    }
    .marker{
        width:11px;
        height:20px;
    }
    .coming-soon li:after {
        display: block;
        width: fit-content;
        font-size: .6rem;
        margin: 0 auto;
    }
    .navbar-toggler{
        margin-left:auto;
    }
    strong{
        font-size:2em;
    }
}